﻿.toggle-button {
    position: fixed;
    top: 8px;
    right: 15px;
    padding: 8px 0;
    margin: 8px 15px 0px 0;
    height: 33px;
    width: 35px;
    cursor: pointer;
    z-index: 999;
}

.bar {
    background-color: #3c4bbf;
    display: block;
    width: 100%;
    height: 2px;
    border: 0;
    -webkit-transition: all .35s ease;
    transition: all .35s ease;
}

    .bar + .bar {
        margin-top: 7px;
    }

.middle {
    top: 11px;
}

.bottom {
    top: 22px;
}

.toggle-button:hover {
    opacity: .7;
}

.toggle-active .bar {
    background-color: #3c4bbf;
}

.toggle-active .top {
    -webkit-transform: translateY(6px) translateX(0) rotate(45deg);
}

.toggle-active .middle {
    opacity: 0;
}

.toggle-active .bottom {
    -webkit-transform: translateY(-12px) translateX(0) rotate(-45deg);
}

.overlay {
    position: fixed;
    background: #fff;
    z-index: 99;
    top: 0;
    left: auto;
    width: 100%;
    max-width: 300px;
    height: 0;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: opacity .35s, visibility .35s, height .35s;
}

.nav-active {
    opacity: 1;
    visibility: visible;
    height: 100%;
    /*    max-height: 340px;*/
}


.overlay:before {
    display: none;
}

.overlay {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding-top: 70px;
}

    .overlay ul {
        display: block;
        position: relative;
        top: 0px;
        left: 0;
        font-size: 50px;
        font-weight: 400;
        text-align: center;
        list-style: none;
        padding: 0;
    }

        .overlay ul li {
            display: block;
            width: 100%;
            clear: both;
            text-align: left;
            margin: 0;
            padding: 5px 10px 5px 20px;
            border-bottom: 0.5px solid rgba(0,0,0,0);
            border-image: linear-gradient(to right,rgba(0,0,0,0) 0%,#2a2a2a 20%,#2a2a2a 50%,#2a2a2a 80%,rgba(0,0,0,0) 100%) 0 0 1 0;
        }

            .overlay ul li a {
                color: #3c4bbf;
                text-decoration: none;
                text-transform: uppercase;
            }

           